edu.ucsb.nceas.metacat.replication

## Class ReplMessageHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - edu.ucsb.nceas.metacat.replication.ReplMessageHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class ReplMessageHandler
      extends org.xml.sax.helpers.DefaultHandler

  A Class implementing callback bethods for the SAX parser to call when processing the XML messages from the replication handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplMessageHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Take the data out of the docid and date_updated fields
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` This method write the indivUpdate to updates when it finds the end of
    `java.util.Vector<java.util.Vector<java.lang.String>>` | `getDeletesVect()`
    `java.util.Vector<java.util.Vector<java.lang.String>>` | `getRevisionsVect()`
    `java.lang.String` | `getServerName()` Gets the server name
    `java.util.Vector<java.util.Vector<java.lang.String>>` | `getSystemMetadataVect()`
    `java.util.Vector<java.util.Vector<java.lang.String>>` | `getUpdatesVect()`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` This method starts a new vector for each updatedDocument tag.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplMessageHandler

          public ReplMessageHandler()

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      This method starts a new vector for each updatedDocument tag.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)
                          throws org.xml.sax.SAXException

      This method write the indivUpdate to updates when it finds the end of
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws org.xml.sax.SAXException

      Take the data out of the docid and date_updated fields
      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### getUpdatesVect

          public java.util.Vector<java.util.Vector<java.lang.String>> getUpdatesVect()

    - #### getDeletesVect

          public java.util.Vector<java.util.Vector<java.lang.String>> getDeletesVect()

    - #### getRevisionsVect

          public java.util.Vector<java.util.Vector<java.lang.String>> getRevisionsVect()

    - #### getSystemMetadataVect

          public java.util.Vector<java.util.Vector<java.lang.String>> getSystemMetadataVect()

    - #### getServerName

          public java.lang.String getServerName()

      Gets the server name
      Returns:

Copyright © 2020 Regents of the University of California. All Rights Reserved.